import json
import argparse
import operator
import os.path
import sys
import warnings
# read files from stdin

parser = argparse.ArgumentParser(description='Intersect keys of JSON files')
parser.add_argument('files', nargs='+', help='json files to order')
args = parser.parse_args()

files = args.files
if files == ["-"]:
    files = [x.strip() for x in sys.stdin.readlines()]


mindf = 2
events = dict()
event_lines = []

def legit_event(event_name):
    if event_name in events:
        return events[event_name] > mindf
    return False

def get_counts(counts,lkeys):
    return [counts.get(x,0) for x in lkeys]

test_n = 6

for fileline in files:
    fileline = fileline.strip()
    filename = os.path.basename(fileline)
    # expect event_count_wikimedia.version_9_wikimedia.wikimedia_logcat.D.wikimedia_logcat_final.20160926T0619Z.tar.gz.logcat.txt.json
    filename = filename.replace("event_count_","").replace(".json","")
    parts = filename.split(".")
    (app,version,test,device,batch,date) = parts[0:test_n]
    warnings.warn(fileline)
    counts = json.load(file(fileline))
    for event, count in counts.iteritems():
        events[event] = events.get(event,0) + count
    event_lines.append([app,version,test,device,batch,date,counts])
# now we have all the lines parsed
lkeys = [k for k in events.keys() if legit_event(k)]
slkeys = [x.replace("\"","").replace(",","") for x in lkeys]
header = ["app","version","test","device","batch","date"] + slkeys
headerline = ",".join(["\""+x+"\"" for x in header])
print(headerline)
for event_line in event_lines:
    test_data = event_line[0:test_n]
    event_counts = get_counts(event_line[test_n],lkeys)
    row = [str(x) for x in (test_data + event_counts)]
    print(",".join(row))
    
