import json
import argparse
import operator
from collections import Counter

parser = argparse.ArgumentParser(description='Intersect keys of JSON files')
parser.add_argument('files', nargs='+', help='json files to order')
args = parser.parse_args()

# load all json files
apps = [json.load(file(filename)) for filename in args.files]

cnt = Counter()
for app in apps:
	cnt += Counter(app.keys())

mincnt = 3
results = sorted([(x,y) for (x,y) in cnt.items() if y >= mincnt], key=operator.itemgetter(1), reverse=True)
# results[0:10]
print(json.dumps(results,indent=1))
